### Method

# GUsb Device get_vid_as_str

since: 0.2.4

#### Declaration

    const gchar*
    g_usb_device_get_vid_as_str (
      GUsbDevice* self
    )

#### Description

Gets the vendor ID for the device as a string.

Available since: 0.2.4

#### Return value

Type: `const gchar*`

An string ID, or `NULL` if not available.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.